curl --request POST \
--url https://api.anhome.tuanle.dev/api/v1/invoices/{invoice_id}/lines \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"quantity": "1",
"unit_price": "1500000",
"metadata": "<unknown>"
}
'import requests
url = "https://api.anhome.tuanle.dev/api/v1/invoices/{invoice_id}/lines"
payload = {
"description": "<string>",
"quantity": "1",
"unit_price": "1500000",
"metadata": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
quantity: '1',
unit_price: '1500000',
metadata: '<unknown>'
})
};
fetch('https://api.anhome.tuanle.dev/api/v1/invoices/{invoice_id}/lines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"property_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"renter_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lease_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period": "<string>",
"invoice_number": "<string>",
"display": {
"status": {
"value": "PARTIALLY_PAID",
"label": "Thanh toán một phần"
}
},
"effective_display": {
"status": {
"value": "PARTIALLY_PAID",
"label": "Thanh toán một phần"
}
},
"due_date": "2023-12-25",
"total_amount": "1500000",
"paid_amount": "0",
"payment_reference": "<string>",
"payment_code": "<string>",
"lines": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"quantity": "1",
"unit_price": "1500000",
"amount": "1500000",
"metadata": "<unknown>",
"display": {
"line_type": {
"value": "PARTIALLY_PAID",
"label": "Thanh toán một phần"
}
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"issue_date": "2023-12-25",
"cancel_reason": "<string>"
},
"request_id": "<string>",
"meta": {}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}Create invoice line
Adds a manual line item to an invoice and recalculates invoice totals.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Invoice ID
Body
Invoice lifecycle or line-item fields used to update invoice totals and status.
Request payload for create invoice line.
Invoice line classification used for totals.
rent, electricity, water, recurring_fee, other_charge, discount Human-readable description for the resource or line item.
1 - 2552-dp decimal string; validated >= 0 in the service.
"1"
Unit price used for invoice line calculations.
"1500000"
Additional structured metadata attached to the record.
Response
Invoice with created line
Endpoint-specific response payload. See the referenced schema for the resource fields.
Show child attributes
Show child attributes
Request correlation identifier returned from X-Request-Id or generated by the API.
Optional response metadata such as pagination limits, counts, or export context.